import { Authority } from "./Authority";
import { ITenantDiscoveryResponse } from "./ITenantDiscoveryResponse";
import TelemetryManager from "../telemetry/TelemetryManager";
export declare class AuthorityFactory {
    private static metadataMap;
    /**
     * Use when Authority is B2C and validateAuthority is set to True to provide list of allowed domains.
     */
    static setKnownAuthorities(validateAuthority: boolean, knownAuthorities: Array<string>): void;
    static saveMetadataFromNetwork(authorityInstance: Authority, telemetryManager: TelemetryManager, correlationId: string): Promise<ITenantDiscoveryResponse>;
    static getMetadata(authorityUrl: string): ITenantDiscoveryResponse;
    static saveMetadataFromConfig(authorityUrl: string, authorityMetadataJson: string): void;
    /**
     * Parse the url and determine the type of authority
     */
    private static detectAuthorityFromUrl;
    /**
     * Create an authority object of the correct type based on the url
     * Performs basic authority validation - checks to see if the authority is of a valid type (eg aad, b2c)
     */
    static CreateInstance(authorityUrl: string, validateAuthority: boolean, authorityMetadata?: string): Authority;
}
